Summary: GNU shell utilities
Name: sh-utils
Version: 1.12
Release: 10
Copyright: GPL
Group: Utilities/System
Source: prep.ai.mit.edu:/pub/gnu/sh-utils-1.12.tar.gz
Patch0: ftp.redhat.com:/sh-utils-1.12-path.patch
Patch1: ftp.redhat.com:/sh-utils-1.12-hostname.patch
Patch2: sh-utils-1.12-pam.patch
Patch3: sh-utils-1.12-nobasename.patch
Requires: pamconfig

%description
The GNU shell utilities provide many of the basic common commands
used (among other things) for shell programming, hence the name.
Nearly all shell scripts use at least one of these programs.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nopam

%ifarch axp
%patch3 -p1
%endif

%build
CFLAGS="$RPM_OPT_FLAGS -DUSE_PAM" LDFLAGS=-s LIBS="-ldl -lpam" ./configure --prefix=/usr
make

%install
make install
mv -f /usr/bin/date /bin
mv -f /usr/bin/echo /bin
mv -f /usr/bin/false /bin
mv -f /usr/bin/true /bin
mv -f /usr/bin/stty /bin
mv -f /usr/bin/pwd /bin
mv -f /usr/bin/uname /bin
mv -f /usr/bin/su /bin
gzip -n -f /usr/info/sh-utils.info

strip /bin/date /bin/echo /bin/pwd /bin/uname /usr/bin/basename
strip /usr/bin/dirname /usr/bin/env /usr/bin/expr /usr/bin/id /usr/bin/logname
strip /usr/bin/nice /usr/bin/pathchk /usr/bin/printenv /usr/bin/printf
strip /usr/bin/sleep /usr/bin/tee /usr/bin/test /usr/bin/tty /usr/bin/users
strip /usr/bin/who /usr/bin/whoami /usr/bin/yes /usr/bin/[ /bin/stty
strip /bin/su

%post
/sbin/pamconfig --add --service=su

%postun
if [ "$1" = 0 ] ; then
  /sbin/pamconfig --remove --service=su
fi

%files
%doc NEWS README
/bin/date
/bin/echo
/bin/false
/bin/true
/bin/stty
/bin/pwd
/bin/uname
/bin/su
/usr/bin/basename
/usr/bin/dirname
/usr/bin/env
/usr/bin/expr
/usr/bin/groups
/usr/bin/id
/usr/bin/logname
/usr/bin/nice
/usr/bin/nohup
/usr/bin/pathchk
/usr/bin/printenv
/usr/bin/printf
/usr/bin/sleep
/usr/bin/tee
/usr/bin/test
/usr/bin/tty
/usr/bin/users
/usr/bin/who
/usr/bin/whoami
/usr/bin/yes
/usr/bin/[
/usr/man/man1/basename.1
/usr/man/man1/date.1
/usr/man/man1/dirname.1
/usr/man/man1/echo.1
/usr/man/man1/env.1
/usr/man/man1/expr.1
/usr/man/man1/false.1
/usr/man/man1/groups.1
/usr/man/man1/id.1
/usr/man/man1/logname.1
/usr/man/man1/pathchk.1
/usr/man/man1/printenv.1
/usr/man/man1/printf.1
/usr/man/man1/pwd.1
/usr/man/man1/sleep.1
/usr/man/man1/tee.1
/usr/man/man1/test.1
/usr/man/man1/true.1
/usr/man/man1/tty.1
/usr/man/man1/users.1
/usr/man/man1/who.1
/usr/man/man1/whoami.1
/usr/man/man1/yes.1
/usr/man/man1/uname.1
/usr/man/man1/nice.1
/usr/man/man1/nohup.1
/usr/man/man1/stty.1
/usr/man/man1/su.1
/usr/info/sh-utils.info.gz
